Page MenuHomePhabricator

Use TitleFormatter and SpecialPageFactory
Closed, ResolvedPublicJun 2 2020

Description

Problem
TimelineRowFormatter currently uses Title and SpecialPage singletons which make testing more difficult.

Proposed Solution
Replace instances of Title with TitleValue and use the TitleFormatter and SpecialPageFactory services to do the tasks that were previously accomplished by the singletons.

Event Timeline

dbarratt created this task.May 12 2020, 1:18 AM
dbarratt added a project: Technical-Debt.

Change 595795 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/CheckUser@master] Replace Title with TitleValue and SpecialPage with SpecialPageFactory

https://gerrit.wikimedia.org/r/595795

Change 595795 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Replace Title with TitleValue and SpecialPage with SpecialPageFactory

https://gerrit.wikimedia.org/r/595795

ARamirez_WMF set Due Date to Jun 2 2020, 4:00 AM.May 21 2020, 3:16 AM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".

@dbarratt I am finding that I don't see the "(Logs)" link for the log action "reset password". Possibly because it has a blank cuc_title in cu_changes?

@dbarratt I am finding that I don't see the "(Logs)" link for the log action "reset password". Possibly because it has a blank cuc_title in cu_changes?

So it looks like we don't record a logid for logged actions in CheckUser. Since we don't, the only thing we could link to is the log for that user (with all of their logged actions), which doesn't seem very helpful. :/

@dom_walden I created a task to address that issue: T253796

Great.

I think the issue with the leading ". ." in T252485#6155656 was fixed by T252031, so rows where there is no "(Log)" link begin with the timestamp.

Otherwise, all the links work as they did before.

dbarratt closed this task as Resolved.Jun 24 2020, 3:49 PM